// Copyright (C) 2009 - 2011 - DIGITEO - Michael Baudin
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

// <-- JVM NOT MANDATORY -->
// <-- ENGLISH IMPOSED -->



//
// References
// Assessing the quality of the Normal distribution function
// References
//   Yalta, A. T. 2008. The accuracy of statistical distributions in Microsoft®Excel 2007. Comput. Stat. Data Anal. 52, 10 (Jun. 2008), 4579-4586. DOI= http://dx.doi.org/10.1016/j.csda.2008.03.005 
//   Computation of Statistical Distributions (ELV), Leo Knüsel 
//
// Table 2
// Check Binomial distribution with parameters (k, n = 1030, p = 0.5)
//



// Table from Yalta, 2008.
table = [
  1 , 8.96114e-308 , 1.e-5  
  2 , 4.61499e-305 , 1.e-5
  100 , 1.39413e-169 , 1.e-5
  200 , 5.45781e-92 , 1.e-5
  300 , 2.91621e-42 , 1.e-5
  390 , 3.18196e-15 , 1.e-5
  391 , 5.24099e-15 , 1.e-5
  400 , 3.89735e-13 , 1.e-5
  410 , 3.19438e-11 , 1.e-5
  420 , 1.76037e-09 , 1.e-5
  500 , 1.83106e-01 , 1.e-5
  550 , 9.86550e-01 , 1.e-5
  575 , 9.99920e-01 , 1.e-5
  589 , 9.99998e-01 , 1.e-5
];

nt = size(table,"r");
for k = 1 : nt
  Xk = table(k,1);
  expected = table(k,2);
  precision = table(k,3);
  Pr = 0.5;
  Ompr = 1 - Pr;
  Xn = 1030;
  [computed,Q]=cdfbin("PQ",Xk,Xn,Pr,Ompr);
  assert_checkalmostequal ( computed , expected , precision );
end

